import React from 'react';
import type { IWizardModalApi } from './WizardModal';
export interface IWizardPageComponent<T> {
    validate(values: T): {
        [key: string]: any;
    };
}
export interface IWizardPageRenderProps {
    innerRef: React.RefObject<any>;
    onLoadingChanged(isLoading: boolean): void;
}
export interface IWizardPageProps {
    label?: string;
    order: number;
    note?: React.ReactNode;
    render: (props: IWizardPageRenderProps) => JSX.Element;
    wizard: IWizardModalApi;
}
interface IWizardPageState {
    errors: object;
    order: number;
    isLoading: boolean;
    status: WizardPageStatus;
}
export declare type WizardPageStatus = 'default' | 'error' | 'loading';
export declare class WizardPage<T> extends React.Component<IWizardPageProps, IWizardPageState> {
    state: IWizardPageState;
    ref: React.RefObject<HTMLDivElement>;
    private innerRef;
    static getStatusClass(status: WizardPageStatus): string;
    private computeStatus;
    private onLoadingChanged;
    validate: (values: any) => {
        [key: string]: any;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: IWizardPageProps): void;
    private onWizardPageStateChanged;
    render(): JSX.Element;
}
export {};
